%global enable_tests 1

Name:           nodejs-sqlite3
Version:        2.1.10
Release:        1%{?dist}
Summary:        Asynchronous, non-blocking SQLite3 bindings for Node.js

License:        BSD
URL:            https://github.com/developmentseed/node-sqlite3
Source0:        http://registry.npmjs.org/sqlite3/-/sqlite3-%{version}.tgz

ExclusiveArch:  %{ix86} %{arm} x86_64

BuildRequires:  nodejs-devel
BuildRequires:  node-gyp
BuildRequires:  sqlite-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(step)
%endif

%{?nodejs_default_filter}

%description
%summary


%prep
%setup -q -n package
%nodejs_fixdep -r tar.gz
rm -rf deps/* node_modules
echo "{}" > deps/common-sqlite.gypi


%build
export CXXFLAGS="%{optflags}"
node-gyp configure -- -Dsqlite=/usr
node-gyp build


%install
mkdir -p %{buildroot}/%{nodejs_sitearch}/sqlite3
cp -pr package.json lib %{buildroot}/%{nodejs_sitearch}/sqlite3
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} test/support/createdb.js
mkdir test/tmp
NODE_PATH=lib %{nodejs_sitelib}/mocha/bin/mocha -R spec -t 120000
%endif


%files
%doc LICENSE README.md examples
%{nodejs_sitearch}/sqlite3


%changelog
* Wed Jun 19 2013 Tom Hughes <tom@compton.nu> - 2.1.10-1
- Update to 2.1.10 upstream release

* Thu Jun 13 2013 Tom Hughes <tom@compton.nu> - 2.1.9-1
- Update to 2.1.9 upstream release
- Drop patches which have been merged upstream

* Thu Mar 21 2013 Tom Hughes <tom@compton.nu> - 2.1.7-1
- Update to 2.1.7 upstream release
- Switch to running tests using mocha
- Filter out provide for Node.js native extension
- Enable tests

* Wed Mar 13 2013 Tom Hughes <tom@compton.nu> - 2.1.5-4
- Restrict supported architectures using ExclusiveArch
- Rebuild against node 0.10

* Mon Mar  4 2013 Tom Hughes <tom@compton.nu> - 2.1.5-3
- Fix gcc 4.8 compilation issues

* Sat Mar  2 2013 Tom Hughes <tom@compton.nu> - 2.1.5-2
- Fix permissions on node_sqite3.node
- Improve description

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 2.1.5-1
- Initial build of 2.1.5
